Page MenuHomePhabricator

Create wireframes for multilingual captions on UploadWizard
Closed, ResolvedPublic

Description

The first implemented feature for Structured Data on Commons will involve file "captions" that enable users to enter a brief description of the media. These captions will allow for multilingual alternative text, and will be stored in Wikibase@Commons via the MediaInfo extension, not Wikidata.

We'll start with exploring designs for the process of adding this captions during the upload process.

Full requirements will be specced out at a later date, but some initial requirements/needs include:

  • allowing users to enter captions in more than one language at a time
  • Determining an appropriate max character length for captions and how to communicate this clearly to the user
  • Considerations for right-to-left languages
  • options to use the Filename (minus extension) as the initial text box value for the caption

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptNov 15 2017, 9:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Can you clarify what is the difference between this and the current existing interface for entering multilingual descriptions during upload?

We're exploring several UI changes to support planned features for Structured Data on Commons:

  • A "caption" (which is essentially what the Title field is now) that works similar to how labels work in Wikidata. Think of this as a way to get a multilingual filename. It's meant to be a very short field, unlike Description which can be much longer.
  • In terms of the current UploadWizard UI, we will need a new functionality that allows entry of that caption in multiple languages, similar to how it works for Description now (but hopefully with a little improvement).
  • Multilingual Descriptions aren't going away (but they will be stored in Wikibase instead of wikitext in the future, and their display on the file page will be improved). The caption is in addition to the description, which can be much longer and perhaps contain limited markup.

Thanks, that makes sense :)

matmarex removed a subscriber: matmarex.Nov 16 2017, 6:21 PM
Ramsey-WMF moved this task from Untriaged to Needs Design on the Multimedia board.Nov 20 2017, 4:32 PM
Ramsey-WMF triaged this task as High priority.Nov 24 2017, 5:54 PM
cmadeo added a subscriber: cmadeo.Dec 6 2017, 7:06 PM
SandraF_WMF added a project: SDC General.
SandraF_WMF added a subscriber: SandraF_WMF.
Restricted Application added a project: Wikidata. · View Herald TranscriptJan 9 2018, 12:16 PM

Nice job with the caption field!
Captions totally make sense, as it is important to have a sort of multilingual label that described the file and can be edited.
It makes the uneditable and untranslatable filename/title field redundant, so I removed it in this wireframe:

https://commons.wikimedia.org/wiki/File:Multilingual_Captions_wireframe_caption%2Bdescription,_based_on_v3.png

As per the active discussion, I believe that we must get rid of filenames, and use identifiers such as "M84945" instead, because filenames contains human words whose meaning change with time, and sometimes become offensive. See https://www.w3.org/Provider/Style/URI on why words must not be used as URIs, and opaque identifiers must be used instead.

Cheers, keep up the great work!
Nicolas

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Mar 5 2018, 4:13 PM
Ramsey-WMF closed this task as Resolved.Mar 26 2018, 4:40 PM